<?php

if (!function_exists('gravatar')) {
    /**
     * Get Gravatar image by email.
     *
     * @param  string $email
     * @param  string $default Default imageset to use [ 404 | mm | identicon | monsterid | wavatar ]
     * @param  int    $size
     * @param  int    $rating  Maximum rating (inclusive) [ g | pg | r | x ]
     * @return string
     */
    function gravatar($email, $default = 'monsterid', $size = 100, $rating = 'g')
    {
        $default = Comments::config('general.default_gravatar', $default);

        $id = md5(strtolower(trim($email)));

        return "http://www.gravatar.com/avatar/{$id}/?d={$default}&s={$size}&r=$rating";
    }
}

if (!function_exists('absint')) {
    /**
     * Convert a value to non-negative integer.
     *
     * @param  mixed $value
     * @return int
     */
    function absint($value)
    {
        return abs(intval($value));
    }
}

if (!function_exists('mb_strlen')) {
    /**
     * Get string length.
     *
     * @param  string $str
     * @param  string $encoding
     * @return string
     */
    function mb_strlen($str, $encoding)
    {
        return strlen($str);
    }
}

if (!function_exists('redirect')) {
    /**
     * Redirect to the given URL.
     *
     * @param  string $url
     * @return void
     */
    function redirect($url)
    {
        header("Location: $url");
        exit;
    }
}

if (!function_exists('current_url')) {
    /**
     * Get the current Url.
     *
     * @return string
     */
    function current_url()
    {
        return (isset($_SERVER['HTTPS']) ? 'https' : 'http').'://'.
                $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
    }
}
